Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(40)

Issue 2420053002: Define a flag --future to enable the most probable future shipping config (Closed)

Created:
2 years, 9 months ago by jochen (gone - plz use gerrit)
Modified:
2 years, 7 months ago
CC:
v8-reviews_googlegroups.com, rmcilroy
Target Ref:
refs/pending/heads/master
Project:
v8
Visibility:
Public.

Description

Define a flag --future to enable the most probable future shipping config That way we don't have to update the perf tests whenever the exact configuration changes. R=mvstanton@chromium.org,hablich@chromium.org,danno@chromium.org BUG= Committed: https://crrev.com/04219241320701f94876b27fafa38adc35e60cb9 Cr-Commit-Position: refs/heads/master@{#40944}

Patch Set 1 #

Total comments: 1

Patch Set 2 : no harmony #

Patch Set 3 : updates #

Unified diffs Side-by-side diffs Delta from patch set Stats (+5 lines, -0 lines) Patch
M src/flag-definitions.h View 1 2 1 chunk +5 lines, -0 lines 0 comments Download

Messages

Total messages: 27 (16 generated)
jochen (gone - plz use gerrit)
2 years, 9 months ago (2016-10-14 08:09:37 UTC) #1
jochen (gone - plz use gerrit)
wdyt? A flag that doesn't have a particular feature name in it would allow for ...
2 years, 9 months ago (2016-10-14 08:10:27 UTC) #4
Michael Hablich
Great idea, have one comment on --es-staging though. https://codereview.chromium.org/2420053002/diff/1/src/flag-definitions.h File src/flag-definitions.h (right): https://codereview.chromium.org/2420053002/diff/1/src/flag-definitions.h#newcode262 src/flag-definitions.h:262: DEFINE_IMPLICATION(future, ...
2 years, 9 months ago (2016-10-14 08:29:32 UTC) #5
mvstanton
lgtm
2 years, 9 months ago (2016-10-14 08:44:09 UTC) #8
jochen (gone - plz use gerrit)
I'm ok with taking out es_staging (or other language feature flags). I agree that there's ...
2 years, 9 months ago (2016-10-14 08:52:16 UTC) #9
Michael Hablich
On 2016/10/14 08:52:16, jochen wrote: > I'm ok with taking out es_staging (or other language ...
2 years, 9 months ago (2016-10-14 08:53:28 UTC) #12
jochen (gone - plz use gerrit)
btw, is --ignition-staging --turbo the right config, or would it be --ignition --turbo?
2 years, 9 months ago (2016-10-14 11:10:43 UTC) #15
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2420053002/20001
2 years, 8 months ago (2016-10-19 14:45:25 UTC) #18
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2420053002/40001
2 years, 8 months ago (2016-11-12 19:57:53 UTC) #23
commit-bot: I haz the power
Committed patchset #3 (id:40001)
2 years, 8 months ago (2016-11-12 21:50:46 UTC) #25
commit-bot: I haz the power
2 years, 7 months ago (2016-11-17 22:31:35 UTC) #27
Message was sent while issue was closed.
Patchset 3 (id:??) landed as
https://crrev.com/04219241320701f94876b27fafa38adc35e60cb9
Cr-Commit-Position: refs/heads/master@{#40944}

Powered by Google App Engine
This is Rietveld 408576698